* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
   }
  
  html {
    font-size: 55%;
    overflow-x: hidden;
   }
  
  :root {
    --bg-color: #ffffff;
    --second-bg-color: #000000;
    --text-color: #000000;
    --main-color: #ce1717;
   }
  
  .body{
    background: var(--bg-color);
    color: var(--text-color);
   }
  
  .header{
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: 1rem 6%;
    background-color: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
   }
  
  #menu-icon{
    font-size: 3.6rem;
    color: var(--main-color);
    display: none;
   }
  
  .logo{
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transition: 0.3s ease;
   }
  
  .logo:hover{
    transform: scale(1.1);
    color: var(--main-color);
   }
  
  span{
    color: var(--main-color);
   }
  
  .navbar a{
    font-size: 2rem;
    color: white;
    margin-left: 5rem;
    font-weight: 750;
    border-bottom: 3px solid transparent;
    transition: 0.3s ease;
   }
  
  .navbar a:hover{
    color: var(--main-color);
   }
  
  section{
    min-height: 93vh;
    max-height: 800px;
    margin: 0 auto;
    padding: 10rem 12%;
   }
  
  .home{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15rem;
   }
  
  .home-background {
    position: absolute;
    top: 0;
    Left: 0;
    width: 100%;
    height: 100vh;
    background-image: url("home-bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    z-index: -1;
    filter: blur(3px);
   }
  
  .home-content {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    text-align: right;
   }
  
  .home-content h1{
    font-size: 5rem;
    font-weight: 600;
    margin-top: 1.5rem;
    line-height: 1;
   }
  
  .home-content h3{
    font-size: 2.4rem;
    margin: 1rem 0;
   }
  
  .home-content p{
    font-size: 1.5rem;
    font-weight: bold;
    line-height: 1.8;
   }
  
  .home-img img{
    width: 32vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    transition: 0.4s ease-in-out;
   }
  
  .home-img img:hover{
    box-shadow: 0 0 25px var(--main-color),
                0 0 50px var(--main-color),
                0 0 100px var(--main-color);
   }
  
  .social-icons a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 2.4rem;
    padding: 1rem;
    background: transparent;
    border: 2px solid var(--main-color);
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 0.5rem;
    transition: 0.3s ease;
   }
  
  .social-icons a:hover{
    color: var(--text-color);
    background-color: var(--main-color);
    transform: scale(1.2)translateY(-5px);
    box-shadow: 0 0 25px var(--main-color);
   }
  
   .btn-group{
    display: flex;
    gap: 2.5rem;
   }
  
  .btn{
    display: inline-block;
    padding: 0.5rem 2.5rem;
    background: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    border-radius: 5rem;
    font-size: 1.8rem;
    color: black;
    border: 2px solid transparent;
    font-weight: 600;
    transition: 0.3s ease-in-out;
   }
  
  .btn:hover{
    transform: scale(1.05);
    box-shadow: 0 0 25px var(--main-color),
                0 0 50px var(--main-color);
   }
  
  .btn-group a:nth-of-type(2){
    background-color: black;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    box-shadow: 0 0 25px transparent;
   }
  
  .btn-group a:nth-of-type(2):hover{
   box-shadow: 0 0 25px var(--main-color);
   background-color: var(--main-color);
   color: black; 
   }
  
  .section{
    min-height: 93vh;
    max-height: 800px;
    margin: 5 auto;
    padding: 10rem 12%;
   }
  
  .about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20rem;
   }
  
   .about-background2 {
    position: absolute;
    width: 100%;
    height: 100vh;
    background-image: url("about-bg.png");
    background-repeat: no-repeat;
    background-size: cover;
    z-index: -1;
    filter: blur(1px);
   }
  
  .about-content h2{
    text-align: center;
    font-weight: bold;
   }
  
  .about-content p{
    font-family: "Edu VIC WA NT Beginner", cursive;
    font-size: 2rem;
    line-height: 1.2;
    font-weight: bolder;
   }
  
  .about-content .btn{
    margin: 3rem;
   }
  
  ::-webkit-scrollbar{
    margin: 20px;
   }
  
  ::-webkit-scrollbar-thumb{
    background-color: var(--main-color);
   }
  
  ::-webkit-scrollbar-track{
    background-color: var(--bg-color);
   }
  
  .heading{
    text-align: center;
    font-size: 7rem;
    margin: 5rem 0;
   }
  
  .flickity-enabled {
    position: relative;
   }
  
  .flickity-enabled:focus {
    outline: 0;
   }
  
  .flickity-viewport {
    overflow: hidden;
    position: relative;
    height: 100%;
   }
  
  .flickity-slider {
    position: absolute;
    width: 100%;
    height: 100%;
   }
  
  .flickity-enabled.is-draggable {
    -webkit-tap-highlight-color: white;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
   }
  
  .flickity-enabled.is-draggable .flickity-viewport {
    cursor: move;
    cursor: -webkit-grab;
    cursor: grab;
   }
  
  .flickity-enabled.is-draggable .flickity-viewport.is-pointer-down {
    cursor: -webkit-grabbing;
    cursor: grabbing;
   }
  
  .flickity-button {
    position: absolute;
    background: hsla(0, 0%, 100%, .75);
    border: none;
    color: #333;
   }
  
  .flickity-button:hover {
    background: #fff;
    cursor: pointer;
   }
  
  .flickity-button:focus {
    outline: 0;
    box-shadow: 0 0 0 5px rgb(255, 255, 255);
   }
  
  .flickity-button:active {
    opacity: .6;
   } 
  
  .flickity-button:disabled {
    opacity: .3;
    cursor: auto;
    pointer-events: none;
   }
  
  .flickity-button-icon {
    fill: currentColor;
   }
  
  .flickity-prev-next-button {
    top: 50%;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    transform: translateY(-50%);
   }
  
  .flickity-prev-next-button.previous {
    left: 10px;
   }
  
  .flickity-prev-next-button.next {
    right: 10px;
   }
  
  .flickity-rtl .flickity-prev-next-button.previous {
    left: auto;
    right: 10px;
   }
  
  .flickity-rtl .flickity-prev-next-button.next {
    right: auto;
    left: 10px;
   }
  
  .flickity-prev-next-button .flickity-button-icon {
    position: absolute;
    left: 20%;
    top: 20%;
    width: 50%;
    height: 50%;
   }
  
  .flickity-page-dots {
    position: absolute;
    width: 100%;
    bottom: -35px;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
    line-height: 1;
   }
  
  .flickity-rtl .flickity-page-dots {
    direction: rtl;
   }
  
  .flickity-page-dots .dot {
    display: inline-block;
    width: 0px;
    height: 0px;
    margin: 10px 8px;
    background: #333;
    border-radius: 50%;
    opacity: .25;
    cursor: pointer;
   }
  
  .flickity-page-dots .dot.is-selected {
    opacity: 1;
   }
  
  
  .services{
    background-image: url("services-bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
   }
  
  .services h2{
    color: var(--text-color);
    font-weight: bold;
   }
  
  .services-info{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 5rem;
   }
  
  .services-info i{
    font-size: 8rem;
   }
  
  .services-info {
    font-size: 1rem;
    font-weight: 600;
    line-height: 3.7;
    white-space: nowrap;
   }
  
  .contact{
    background-image: url("contact-bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
   }
   
  .contact h2{
    margin-bottom: 2rem;
    color: var(--text-color);
    font-weight: bold;
   }
  
  .contact form{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    margin: 5rem 0;
    text-align: center;
   }
  
  .contact form .input-box input,
  
  .contact form textarea{
    width: 100%;
    padding: 1.3rem;
    font-size: 1.7rem;
    color: rgb(0, 0, 0);
    background: transparent;
    border-radius: 10px;
    border: 2px solid var(--main-color);
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px ;
    margin: 1.5rem 0;
    resize: none;
   }
  
  .footer{
    background-color: rgb(255, 255, 255);
    padding: 5px;
   }
  
  .footer .social-icons{
    text-align: center;
   }
  
  .footer ul{
    text-align: center;
    font-size: 1.4rem;
   }
  
  .footer ul li{
    display: inline-block;
    margin-left: 8px;
   }
  
  .footer ul li a{
    color: rgb(0, 0, 0);
    border-bottom: 3px solid transparent;
    transition: 0.3s ease-in-out;
   }
  
  .footer ul li a:hover{
    color: var(--main-color);
   }
  
  .footer p{
    font-size: 1.4rem;
    font-weight: 600;
    line-height: 0.6;
    color: rgb(0, 0, 0);
   }
  
  .footer .copyright{
    text-align: center;
    margin-top: 30px;
    font-size: 14px;
   }
  
   @media(max-width:1024px){
    #menu-icon{
      display: block;
    }
  
  .navbar{
    position: absolute;
    top: 100%;
    right: 0;
    width: 50%;
    padding: 1rem 3rem;
    background-color: rgba(0, 0, 0, 0.8);
    border-left: 2px solid var(--main-color);
    border-bottom: 2px solid var(--main-color);
    border-bottom-left-radius: 2rem;
    display: none;
    }
    navbar a{
    display: block;
    font-size: 2rem;
    margin: 3rem 0;
    color: var(--text-color);
    }
  
  .navbar.active{
      display: block;
      }
  
  .home{
      flex-direction: column-reverse;
      margin: 5rem 0;
      gap: 5rem;
      }
  
  .home-content{
      align-items: center;
      text-align: center;
      }
  
  .home-img img{ 
         width: 52vw;
      }
  
  .about{
        flex-direction: column-reverse;
        text-align: center;
      }
  
  .about h2{
        text-align: center;
        margin: 2rem 0;
      }
  
  .about img{
        width: 52vw;
      }
  
  .contact form{
        flex-direction: column;
      }
  }